"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 24.08.21

"""
from django.urls import path
from compensation.views.compensation import *

urlpatterns = [
    # Main compensation
    path("", index_view, name="index"),
    path('new/id', new_id_view, name='new-id'),
    path('new/<intervention_id>', new_view, name='new'),
    path('new', new_view, name='new'),
    path('<id>', detail_view, name='detail'),
    path('<id>/log', log_view, name='log'),
    path('<id>/edit', edit_view, name='edit'),
    path('<id>/remove', remove_view, name='remove'),

    path('<id>/state/new', state_new_view, name='new-state'),
    path('<id>/state/<state_id>/edit', state_edit_view, name='state-edit'),
    path('<id>/state/<state_id>/remove', state_remove_view, name='state-remove'),

    path('<id>/action/new', action_new_view, name='new-action'),
    path('<id>/action/<action_id>/edit', action_edit_view, name='action-edit'),
    path('<id>/action/<action_id>/remove', action_remove_view, name='action-remove'),

    path('<id>/deadline/new', deadline_new_view, name="new-deadline"),
    path('<id>/deadline/<deadline_id>/edit', deadline_edit_view, name='deadline-edit'),
    path('<id>/deadline/<deadline_id>/remove', deadline_remove_view, name='deadline-remove'),
    path('<id>/report', report_view, name='report'),

    # Documents
    path('<id>/document/new/', new_document_view, name='new-doc'),
    path('<id>/document/<doc_id>', get_document_view, name='get-doc'),
    path('<id>/document/<doc_id>/remove/', remove_document_view, name='remove-doc'),
    path('<id>/document/<doc_id>/edit/', edit_document_view, name='edit-doc'),

]